Summary: A utility for determining file types.
Name: file
Version: 3.41
Release: 1tr
License: distributable
Group: Environment/File
Source: ftp://ftp.astron.com/pub/file/file-%{version}.tar.gz
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
The file command is used to identify a particular file according to the
type of data contained by the file.  File can identify many different
file types, including ELF binaries, system libraries, RPM packages, and
different graphics formats.

You should install the file package, since the file command is such a
useful utility.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=/usr/share/man

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/man/man1
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/man/man4
make prefix=${RPM_BUILD_ROOT}%{_prefix} install mandir=${RPM_BUILD_ROOT}%{_mandir} datadir=${RPM_BUILD_ROOT}%{_prefix}/share bindir=${RPM_BUILD_ROOT}/%{_prefix}/bin

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/file
}

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/file
%{_prefix}/share/magic*
%{_datadir}/man/man1/file.1*
%{_datadir}/man/man4/magic.4*

%changelog
* Fri Mar 14 2003 Christian H. Toldnes <christht@trustix.com> 1.41-1tr
- New upstream version: 1.41

* Wed Jun 13 2001 Oystein Viggen <oysteivi@trustix.com>
- Include extra magic files in /usr/share

* Fri Jun  1 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 3.35

* Mon Mar  5 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 3.33

* Fri Sep 15 2000 Oystein Viggen <oysteivi@trustix.com>
- Upgraded to version 3.32
- removed some stale patches

* Wed Feb  2 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- identify ELF stripped files correctly (#4665).
- use SPARC (not sparc) consistently throughout (#4665).
- add entries for MS Office files (#4665).

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- diddle magic so that *.tfm files are identified correctly.

* Tue Jul  6 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.27.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- experimental support for realmedia files added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binary.

* Fri Nov 27 1998 Jakub Jelinek <jj@ultra.linux.cz>
- add SPARC V9 magic.

* Tue Nov 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.26.

* Mon Aug 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.25.
- detect gimp XCF versions.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 3.24
- buildrooted

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>
- Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Improved recognition of Linux kernel images.
